Public API

Documentation for MixBlob’s color and palette endpoints.

Use the public API to convert colors, extract palettes, generate gradients, and bring MixBlob’s color workflow into your own products.

Gradients: Generate

Generate production-ready CSS gradients from input colors.

Request

curl -X POST https://api.mixipaint.com/v1/gradients/generate \
+  -H "content-type: application/json" \
+  -H "x-api-key: YOUR_API_KEY" \
+  -d '{"colors":["#0ea5e9","#2dd4bf"],"type":"linear","angle":135}'

Body

{
  "colors": [
    "#0ea5e9",
    "#2dd4bf"
  ],
  "type": "linear",
  "angle": 135
}

Response

{
  "css": "linear-gradient(135deg, #0ea5e9 0%, #2dd4bf 100%)",
  "colors": [
    "#0ea5e9",
    "#2dd4bf"
  ]
}

Errors

  • 400 invalid body
  • 401 missing API key

Rate Limits

Basic: 60 req/min (burst 100), 10,000/month. Pro: higher limits.